Bug 812819 - setDate, setISODate, setTime works wrong when DateTime created from timestamp
Summary: setDate, setISODate, setTime works wrong when DateTime created from timestamp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Lukas Zachar
URL:
Whiteboard:
Depends On:
Blocks: 869691
TreeView+ depends on / blocked
 
Reported: 2012-04-16 10:30 UTC by Nicolas Chauvet (kwizart)
Modified: 2013-02-21 10:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 869691 (view as bug list)
Environment:
Last Closed: 2013-02-21 10:14:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0514 normal SHIPPED_LIVE Moderate: php security, bug fix and enhancement update 2013-02-20 21:29:20 UTC
PHP Bug Tracker 52290 None None None 2012-10-04 16:25:01 UTC

Description Nicolas Chauvet (kwizart) 2012-04-16 10:30:08 UTC
Description of problem:
setDate, setISODate, setTime works wrong

Version-Release number of selected component (if applicable):
php-5.3.3-3.el6_2.6
php53-5.3.3-5.el5 (for EL5).

How reproducible:
always

Steps to Reproduce:
1. run test.php from :
http://svn.php.net/viewvc/php/php-src/trunk/ext/date/tests/bug52290.phpt?view=markup
  
Actual results:
2005-W52-7 | 2006-01-01 | 00:00:00 | 1136073600
2041-W52-4 | 2041-12-26 | 00:00:00 | 2271628800
2044-W40-1 | 2044-10-03 | 00:00:00 | 2359065600
2081-W39-6 | 2081-09-27 | 20:30:40 | 3526230640

Expected results:
2005-W52-7 | 2006-01-01 | 00:00:00
2005-W52-1 | 2005-12-26 | 00:00:00
2007-W40-5 | 2007-10-10 | 00:00:00
2007-W40-5 | 2007-10-10 | 20:30:40

Additional info:
https://bugs.php.net/bug.php?id=52290
http://marc.info/?l=php-cvs&m=129638270928650

This patch is fixed in upstream php 5.3 branch

Comment 2 Joe Orton 2012-04-16 12:16:52 UTC
Thanks for the report, and for the upstream links!

Comment 3 Nicolas Chauvet (kwizart) 2012-04-23 08:06:40 UTC
FYI, I failed to fix the error with only the above patches on x86_64.
Some others patches are missing.

Comment 4 Nicolas Chauvet (kwizart) 2012-04-23 08:07:39 UTC
PHP 5.3.10 does work fine however.

Comment 5 RHEL Product and Program Management 2012-07-10 08:31:28 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 6 RHEL Product and Program Management 2012-07-11 01:54:10 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 10 errata-xmlrpc 2013-02-21 10:14:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0514.html


Note You need to log in before you can comment on or make changes to this bug.